Subject: Re: sock_get_timestamp() ktime_to_timeval returns -2?

From: "Andrew Brampton" <[email-masked]>
Date: Mon, 7 Apr 2008 22:57:50 +0100

From: "Eric Dumazet"
>
> I believe the following patch should make sure ENOENT is delivered to the
> application. And yes, SIOCGSTAMP has a meaning only for UDP or other 
> packet
> protocols.
>

Thanks Eric, I didn't expect someone to identify and fix this bug so 
quickly!. I have tested your patch and my problems have gone away.

thanks
Andrew